Bug 26055 - magicdev fills /var/log/messages with device not ready errors
magicdev fills /var/log/messages with device not ready errors
Product: Red Hat Linux
Classification: Retired
Component: magicdev (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
David Lawrence
: 55109 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-02-05 00:24 EST by Tod Liebeck
Modified: 2013-03-13 00:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-25 13:10:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tod Liebeck 2001-02-05 00:24:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.0-0.99.11 i686; Nav)

When magicdev is running, it fills /var/log/messages with "device not
ready" errors of the following form:

Feb  4 21:38:31 bigbear kernel: Device not ready.  Make sure there is a
disc in the drive.
Feb  4 21:39:03 bigbear last message repeated 16 times

My system has a modification which may be causing this problem.  I removed
the /dev/cdrom symlink and replaced it with /dev/dvd and /dev/cdr (I don't
have a plain CD-ROM drive, so /dev/cdrom confuses me).  I also delete
/mnt/cdrom.  I created /mnt/dvd and /mnt/cdr directories, along with
corresponding entries in /etc/fstab (while deleting the /dev/cdrom entry). 
In my understanding I  have done this procedure correctly, please let me
know if its a PEBCAK :) (problem exists between chair and keyboard)

I'm also interested to know if this could possibly be the cause of bug
#26052, where some system resource was consumed resulting in a complete
system crash.  I discovered the magicdev problem when I was hunting for the
cause of #26052.  I've since killed magicdev.

It's also worth noting that unmounting drives in GMC used to result in
error message dialogs appearing with "garbage" messages in them.  Since
I've killed magicdev this has not happened.

Yet another note... the system is all SCSI, running on an Adaptec 2930

Reproducible: Always
Steps to Reproduce:
1.startx (which starts magicdev)
2.su, tail /var/log/messages 
Comment 1 Owen Taylor 2001-02-07 16:04:56 EST

*** This bug has been marked as a duplicate of 6006 ***
Comment 2 Owen Taylor 2001-02-07 21:50:07 EST
OK, this is a different message than 6006. This messages is
coming from the SCSI driver. Looking in the SCSI driver code,
it appears that for this message to appear, the CDROM_DRIVE_STATUS
must be returning (erroneously) that you have a disk in the
drive, so magicdev goes ahead asks for details of what is
in the drive, which generates the message.

This may be a firmware bug in your CDROM drive, or, conceivably,
a kernel bug. 

 - If you know, did /dev/cdrom point to the DVD or CDR?
 - What models, exactly, is that drive?
 - If you know, did having a disk in the drive stop the

Comment 3 Tod Liebeck 2001-02-08 11:20:51 EST
The CDR drive is a Yamaha 24x read / 8x write / 4x rewrite drive.  The model
#is  CRW8424SZ.  This drive has SCSI ID#3, and was originally located at

The DVD Rom drive is a Toshiba 10X DVD/ 40X max CD drive.  The model # is
SD-M1401  This drive has SCSI ID#4 and was originally located at /dev/cdrom1.


I couldn't say for sure as to whether or not having a CD would stop the error

Comment 4 Need Real Name 2001-04-28 23:39:26 EDT
I have the same problem with a Yamaha 4416 SCSI drive and an Adaptec 2940 SCSI
controller. This could also be a boog in the SCSI driver. My solution was to
comment out the line referring to this device from the fstab. It would be
interesting to find out if this occurs with a different SCSI driver and the same
drive. Or maybe Yamaha + Adaptec = evil.

Comment 5 Need Real Name 2001-07-31 10:58:23 EDT
I can confirm that this issue exists with a different CD Driver and the
same CD-RW drive...

Kernel 2.4.3-12smp from RPM/Update (Two P-166)

SCSI subsystem driver Revision: 1.00
scsi: ***** BusLogic SCSI Driver Version 2.1.15 of 17 August 1998 *****

Two SCSI CD Drives(TEAC is ROM, YAMAHA is RW):

Host: scsi0 Channel: 00 Id: 03 Lun: 00
  Vendor: TEAC     Model: CD-ROM CD-56S    Rev: 1.0B
  Type:   CD-ROM                           ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 04 Lun: 00
  Vendor: YAMAHA   Model: CRW8824S         Rev: 1.00
  Type:   CD-ROM                           ANSI SCSI revision: 02

Messages (over and over) were:
kernel: Device not ready.  Make sure there is a disc in the drive.

My solution was:
sudo rpm -e magicdev
Comment 6 Owen Taylor 2002-05-28 17:25:47 EDT
*** Bug 55109 has been marked as a duplicate of this bug. ***
Comment 7 John (J5) Palmieri 2004-08-25 13:10:56 EDT
Closing bug.  Magicdev has been removed in favor of
gnome-volume-manager in the devlopment branch.   

Note You need to log in before you can comment on or make changes to this bug.